<!DOCTYPE html>

<head>
    <meta charset='UTF-8'>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <link href="/static/StyleSheet.css" rel="stylesheet" type="text/css">

    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link href="//cdn.bootcss.com/noUiSlider/8.5.1/nouislider.min.css" rel="stylesheet">
    <script src="/static/nouislider.js"></script>
    <link href="/static/nouislider.css" rel='stylesheet'>
    <link href="/static/_variables.scss">

</head>

<body>
    <div class="row">
        <div class="col m3 s4" id='filters'>
            <ul class="collapsible expandable grey lighten-4">
                <li>
                    <div class="collapsible-header">
                        Year
                        <i class='material-icons filterhead'>arrow_drop_down</i>
                    </div>
                    <div class="collapsible-body">
                        <div id='slider' ref='slider'></div>
                    </div>
                </li>
                <li>
                    <div class="collapsible-header">
                        Genre
                        <i class='material-icons filterhead'>arrow_drop_down</i>
                    </div>
                    <div class="collapsible-body">
                        <div class="all">
                            <a class="waves-effect waves-teal btn-flat" v-on:click="clear_genres">
                                {{messageg}} <i class="medium material-icons">{{icong}}</i>
                            </a></div>
                        <form action="#" class="check-box">
                            <div v-for="genre in genrelist">
                                <label>
                                    <input type="checkbox" class='filled-in' checked="checked" :value="genre" :id="genre"
                                        v-model="genreflt" v-on:change="updatefl">
                                    <span :for="genre">{{genre}}</span>
                                </label>
                            </div>
                        </form>
                    </div>

                </li>
                <li>
                    <div class="collapsible-header">
                        Country
                        <i class='material-icons filterhead'>arrow_drop_down</i>
                    </div>
                    <div class="collapsible-body">
                        <span class="all">
                            <a class="waves-effect waves-teal btn-flat" v-on:click="clear_countries">
                               {{messagec}} <i class="material-icons small">{{iconc}}</i>
                            </a>
                        </span>
                        <form action="#" class="check-box">

                            <div v-for="country in countrylist"><label>
                                    <input type="checkbox" class='filled-in' v-model="countryflt" :id="country" :value="country"
                                        checked="checked" v-on:change="updatefl">
                                    <span :for="country">{{country}}</span></label>
                            </div>
                        </form>
                    </div>
                </li>

            </ul>
        </div>
        <div class="col m9 s8 offset-m3">
            <nav id="search_bar">
                <div class="nav-wrapper">
                    <form>
                        <div class="input-field">
                            <input id="search" type="search" v-model="search" required>
                            <label class="label-icon" for="search">
                                <i class="material-icons">search</i>
                            </label>
                            <i class="material-icons">close</i>
                        </div>
                    </form>
                </div>
            </nav>
        </div>
        <div id="app">
            <div class="col m9 offset-m3">
                <div>
                    <div class="col xl2 l3 s6 m4" v-for="i in movies">
                        <div class="card hoverable small">
                            <div class="card-image">
                                <img :src="i.poster_path">
                                <div class="card-title">
                                    <div class="chip teal lighten-1">
                                        {{i.vote_average}}
                                        <i class="tiny material-icons">grade</i>
                                    </div>
                                </div>
                            </div>

                            <div class="card-content truncate">
                                {{i.title}}
                                <br>
                                <span><i>{{i.release_date}}</i></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="center-align col m9 offset-m3">
                <a class="waves-effect waves-teal btn-flat" v-on:click="more" id="more_btn">More</a>
            </div>
        </div>
    </div>
    <script src="/static/aaa.js"></script>
</body>

</html>